Bug 182407 - screen't configure checks for /usr/lib/libutil.a
screen't configure checks for /usr/lib/libutil.a
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: screen (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-22 07:36 EST by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.0.2-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-30 11:28:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-02-22 07:36:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8.0.1) Gecko/20060202 Fedora/1.5.0.1-2 Firefox/1.5.0.1

Description of problem:
screens configure script checks for the presence of /usr/lib/libutil.a and links with -lutil if it exists.
On 64bit systems without 32bit libraries this check will fail and you'll end up
without libutil support in screen.

Version-Release number of selected component (if applicable):
screen-4.0.2-11.2

How reproducible:
Always

Steps to Reproduce:
1. install a 64bit system without 32bit support
2. recompile screen
3. check package requiremens and diff them with a normal build
  

Actual Results:  @@ -12,7 +12,6 @@
 libpam.so.0()(64bit)
 libpam.so.0(LIBPAM_1.0)(64bit)
 libutempter.so.0()(64bit)
-libutil.so.1()(64bit)
 rpmlib(CompressedFileNames) <= 3.0.4-1
 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
 /sbin/install-info


Expected Results:  configure should use /usr/lib64 on 64 bit systems

Additional info:
Comment 1 Petr Rockai 2006-02-27 09:03:37 EST
Fixed in rawhide. Will make an update after FC5 is out. 

Note You need to log in before you can comment on or make changes to this bug.